Page MenuHomeSolus

tpm2-tss - An open-source implementation of the TCG TPM2 software task (TSS2)
Closed, WontfixPublic

Description

Name: tpm2-tss
Homepage: https://github.com/tpm2-software/tpm2-tss
Required by: T2532.

It would appear that Solus does not have a TPM2 implementation, so this may fit the bill.
Additionally, one of its components (tss2-esys) is now required in order to compile fwupd, so this could resolve one of it's blockers before it even becomes a blocker.

Open Source: BSD 2-Clause "Simplified" License - https://github.com/tpm2-software/tpm2-tss/blob/master/LICENSE
Potential users for this software stack: Anyone who requires TPM2, and in the future, anyone relying on fwupd (and it's dependents, of course).

Latest Source Tarball: https://github.com/tpm2-software/tpm2-tss/releases/download/2.3.3/tpm2-tss-2.3.3.tar.gz

Related Objects

Event Timeline

moriel5 created this task.Sep 16 2019, 8:28 AM
moriel5 updated the task description. (Show Details)
moriel5 updated the task description. (Show Details)
moriel5 updated the task description. (Show Details)
moriel5 updated the task description. (Show Details)
moriel5 updated the task description. (Show Details)Sep 16 2019, 8:54 AM
moriel5 updated the task description. (Show Details)Sep 16 2019, 8:57 AM
DataDrake triaged this task as Wishlist priority.Oct 2 2019, 6:53 PM
DataDrake moved this task from Backlog to Accepted For Inclusion on the Package Requests board.
DataDrake closed this task as Wontfix.Nov 18 2019, 8:29 AM
DataDrake added a subscriber: DataDrake.

This has sat in accepted for inclusion for over 30 days. Clearly, there is a lack of demand for the inclusion of this software, nobody has stepped up to provide a completed patch, maintain it, and properly integrate it. Closing as a result. Feel free to reopen but only when someone offers a patch via our proper patch submission methods and volunteers to be maintainer.

moriel5 added a comment.EditedMar 5 2020, 3:50 PM

I intend to try maintaining this package.
I'll reopen this issue if I see that I could reasonably do so.

Update: libini-config is neccessary, so I need to first package libini.

Never mind, I had wasted everyone's time by pursuing something that wasn't necessary.

moriel5 updated the task description. (Show Details)Mar 5 2020, 3:52 PM